﻿.index-contact-box{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    background-color: #0c1c2b;
}
.index-contact-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #0c1c2b;
    opacity: 0.2;
}
.index-contact-mask span{
    background-size: contain;
    background-position: center;
    background-repeat: repeat;
}
.index-contact-all-box{
    width: 1280px;
    max-width: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: space-between;
    -webkit-justify-content: space-between;
    flex-direction: row;
    position: relative;
    margin: 0 auto;
    font-size: 0;
    height: 300px;
}
.index-contact-text-box p{
    font-size: 18px;
    line-height: 42px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #fff;
    letter-spacing: 0.1em;
}
.index-contact-more-box{
    width: 160px;
    line-height: 60px;
    border: 1px solid #d1d1d1;
    background-color: #fff;
    font-size: 18px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #142d44;
    letter-spacing: 0.1em;
    text-align: center;
    transition: all .3s linear;
}
.index-contact-map-box{
    width: 100%;
    display:         flex;
    display: -webkit-flex;
    flex-direction: row;
    position: relative;
}
.index-contact-info-box{
    width: 50%;
    display: inline-flex;
    display: -webkit-inline-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;;
    vertical-align: middle;
    font-size: 0;
    background-color: #fff;
}
.index-contact-info-all-box{
    display: inline-block;
}
.index-contact-info-all-box h2{
    font-size: 18px;
    line-height: 36px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #000;
    letter-spacing: 0.1em;
}
.index-contact-info{
    display: block;
}
.index-contact-info p{
    display: inline-block;
    vertical-align: middle;
    font-size: 18px;
    line-height: 36px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #000;
    letter-spacing: 0.1em;
}
.index-contact-info span{
    display: inline-block;
    vertical-align: middle;
    font-size: 18px;
    line-height: 36px;
    font-family: 'Roboto';
    font-weight: 300;
    color: #000;
    letter-spacing: 0.1em;
}
.index-contact-map{
    width: 50%;
    height: 360px;
    background-color: #fff;
}


@media only screen and (max-width: 1280px){
    .index-contact-all-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .index-contact-all-box{
        width: 95vw;
    }
}
@media only screen and (max-width: 768px){
    .index-contact-map-box{
        flex-direction: column;
    }
    .index-contact-info-box{
        width: 100%;
        box-sizing: border-box;
        padding: 40px 0;
    }
    .index-contact-map{
        width: 100%;
        height: 400px;
    }
}
@media only screen and (max-width: 550px){
    .index-contact-all-box{
        height: inherit;
        box-sizing: border-box;
        padding: 20px 0;
        flex-direction: column;
        align-items: flex-start;
        -webkit-align-items: flex-start;
        justify-content: flex-start;
        -webkit-justify-content: flex-start;
    }
    .index-contact-text-box p{
        font-size: 14px;
        line-height: 32px;
    }
    .index-contact-more-box{
        line-height: 40px;
        margin-top: 20px;
        font-size: 16px;
    }
    .index-contact-info-box{
        align-items: flex-start;
        -webkit-align-items: flex-start;
        justify-content: flex-start;
        -webkit-justify-content: flex-start;
        padding: 20px 2.5vw;
    }
    .index-contact-map{
        height: 250px;
    }
    .index-contact-info-all-box h2{
        font-size: 16px;
        line-height: 26px;
    }
    .index-contact-info p,
    .index-contact-info span{
        font-size: 16px;
        line-height: 26px;
    }
}





/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .index-contact-text-box p,
    .index-contact-more-box,
    .index-contact-info-all-box,
    .index-contact-map{
        opacity: 0;
    }
	.index-contact-text-box.anima p:nth-child(1){
        animation: fadeInUp 1s ease 0s 1 both;
    }
	.index-contact-text-box.anima p:nth-child(2){
        animation: fadeInUp 1s ease 0.2s 1 both;
    }
    .index-contact-more-box.anima,
    .index-contact-map.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .index-contact-info-box.anima .index-contact-info-all-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }

    .index-contact-more-box:hover{
        background-color: #366694;
        border-color: #366694;
        color: #fff;
    }
}

